
Redmine - Defect #12736

Negative start/due dates allowed

2013-01-04 14:34 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 2.2.0

Description

Redmine allows a user to define a negative startdate without remarking an invalid date.

Redmine stores 0000-00-00 00:00:00 in the Datebase. If I try to edit this ticket afterwards, redmine complains about a invalid date.

This seems to be a bug in the datevalidation.

Associated revisions

Revision 11124 - 2013-01-05 17:09 - Jean-Philippe Lang

Adds a custom validator for dates (#12736).

History

#1 - 2013-01-05 17:10 - Jean-Philippe Lang

- Subject changed from Negative start date allowed to Negative start/due dates allowed

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Affected version (unused) changed from devel to 2.2.0

- Resolution set to Fixed

- Affected version set to 2.2.0

Fixed in r11124.
